# H248_ContextRequest Class Reference

`#include <h248.h>`

Inheritance diagram for H248_ContextRequest:

List of all members.

## Public Types

enum | OptionalFields { e_priority, e_emergency, e_topologyReq }

## Public Member Functions

| H248_ContextRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_priority
PASN_Boolean | m_emergency
H248_ArrayOf_TopologyRequest | m_topologyReq

## Member Enumeration Documentation

enum H248_ContextRequest::OptionalFields

Enumerator:

  e_priority |
  e_emergency |
  e_topologyReq |

## Constructor & Destructor Documentation

H248_ContextRequest::H248_ContextRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_ContextRequest::GetDataLength | ( |  | ) | const

PBoolean H248_ContextRequest::Decode | ( | PASN_Stream & | strm | ) |

void H248_ContextRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H248_ContextRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_ContextRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H248_ContextRequest::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H248_ContextRequest::m_priority

PASN_Boolean H248_ContextRequest::m_emergency

H248_ArrayOf_TopologyRequest H248_ContextRequest::m_topologyReq

The documentation for this class was generated from the following file:

- h248.h